<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceomsb.html">omsb</a></li><li class="navelem"><a class="el" href="classomsb_1_1_mongo_db_handler.html">MongoDbHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">omsb::MongoDbHandler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a7866c1d3c4d63794358836dd7f9b328e">AddMovieShowToDb</a>(const std::string &amp;theater_id, const std::string &amp;movie_id)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#ae76b951defd231273ee70264e82ca6d0">AddMovieToDb</a>(const std::string &amp;movie_title)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a4bf4aeb89d91622ff52e343bec655d4e">AddTheaterToDb</a>(const std::string &amp;theater_name)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a667615c575c910d11120bb24ac5c37d7">BookSeats</a>(const std::vector&lt; std::string &gt; &amp;seatsIdsList)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a3e1ce7d6750122392fcde924d710cee5">DropDatabase</a>()</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#af8488e63e677c8e294340086f81d0c02">GetAllMovies</a>()</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a31c4ea013fc2b2d63be2af01d52b00f7">GetAllMovieShows</a>()</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a52f86fab00ed69982149f8799215cab7">GetAllTheaters</a>()</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#add87e37b40c98f6bfe2ac280d4111057">GetSeatsByMovieAndByTheater</a>(const std::string &amp;movie_id, const std::string &amp;theater_id)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a921491af6cf6a169c5945bc69e9808b9">GetTheatersByMovie</a>(const std::string &amp;movie_id)</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html#a668896d72174ab8937709240222cdd92">MongoDbHandler</a>()</td><td class="entry"><a class="el" href="classomsb_1_1_mongo_db_handler.html">omsb::MongoDbHandler</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
